Disponible Twenty'em “1.2 Bootstrap v4.0.0”

Está disponible para descargar una nueva versión estable de Twenty'em totalmente compatible con Bootstrap v4.0.0

Notas generales

Esta es una versión estable totalmente compatible con Bootstrap v4.0.0, pero inconsistente con la versión 1.1.2 de Twenty'em, por eso aun no hemos hecho un merge con la rama master en nuestro repositorio, debido a que tenemos un grupo de mejoras por hacer en nuestro TODO list. Solo entonces haremos una actualización mayor a la próxima versión de Twenty'em que será la 1.2.

A continuación presentamos el listado de cambios:

Mejoras

  • Total migración a Bootstrap v4.0.0
  • Se eliminaron todas las funciones y archivos LESS en favor del preprosesador SASS
  • Nuevo y más simple paquete de íconos Icomoon
  • Nuevo y más intuitivo árbol de directorios
  • Soporte para .container-fluid
  • Nuevos shortcodes [tabs] y [collapse]
  • Se muestra el resumen de la entrada, si existe, en single.php
  • Mejorada la vista de archivos de entradas, usando el marcado .media de Bootstrap
  • Agregadas un par de plantillas para las opciones de Página de Inicio > Widgets de Texto
  • Ahora t_em_add_bootstrap_class() se nombra t_em_breakpoint() y t_em_filter_bootstrap_classes_{$section} se denomina t_em_filter_breakpoint_{$section}
  • Breakpoint por defecto es 'lg' y usa el filtro t_em_filter_default_breakpoint

Actualizaciones

  • T_EM_THEME_DIR_TEMPLATES_PATH apunta a /templates
  • T_EM_THEME_DIR_TEMPLATES_URL apunta a /templates
  • T_EM_THEME_DIR_TEMPLATES_PATH renombrada T_EM_THEME_DIR_PAGE_TEMPLATES_PATH
  • T_EM_THEME_DIR_TEMPLATES_URL renombrada T_EM_THEME_DIR_PAGE_TEMPLATES_URL

Obsoletos

  • Marcadas como obsoletas las plantillas de páginas “Contenido por Pestañas” y “Contanido Plegable” en favor de los shortcodes [tabs] y [collapse] respectivamente
  • Marcadas como obsoletas las actions hooks t_em_action_header_inside_before, t_em_action_header_inside_left, t_em_action_header_inside_right y t_em_action_header_inside_after

Eliminaciones

  • Se eliminó la opción layout_width, en Opciones de Estructura > Ancho de la estructura
  • Eliminada la clase css .wrapper en favor de .container nativa de Bootstrap
  • Eliminadas las constantes T_EM_LAYOUT_WIDTH_DEFAULT_VALUE, T_EM_LAYOUT_WIDTH_MAX_VALUE y T_EM_LAYOUT_WIDTH_MIN_VALUE

Corrección de errores

  • Mejorado el Loop en las plantillas de páginas page-templates/template-blog-*.php

Descargar Twenty'em “1.2 Bootstrap v4.0.0”

Puedes descargar Twenty'em “1.2 Bootstrap v4.0.0” desde nuestro repositorio en Github.

Descargar Twenty'em “1.2 Bootstrap v4.0.0”

Compartir: Disponible Twenty'em "1.2 Bootstrap v4.0.0"

Una respuesta para: Disponible Twenty'em “1.2 Bootstrap v4.0.0”

No hay comentarios
1 Pingbacks | 0 Trackbacks
  1. Pingback: Twenty'em 1.2: Totalmente compatible con Bootstrap 4 - Twenty'em

    […] anunciamos anteriormente, acabamos de actualizar la rama master de nuestro repositorio y ahora Twenty'em es totalmente […]

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *